Bug 896299 - [RFE] store and display source control URL
[RFE] store and display source control URL
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.2
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks: 903470
  Show dependency treegraph
 
Reported: 2013-01-16 19:54 EST by David Mason
Modified: 2013-11-26 22:34 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2-SNAPSHOT (20130201-1231)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:24:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-01-16 19:54:39 EST
Description of problem:
Source control URL has to be referred to manually on each project's home page. Add a specific field where source control URL can be stored for each project/version.
Comment 1 David Mason 2013-01-22 22:08:08 EST
Added fields in project for human-readable and machine-readable source URL.
Changes do not include DTO update.


See: https://github.com/zanata/zanata/commit/4c4ca9e4d08d4315edb2bf669f0cc01a87eeb705
https://github.com/zanata/zanata/commit/ceeb9af3769bcd172f4e64f20639e9af9d40af66
Comment 2 Ding-Yi Chen 2013-01-28 20:06:33 EST
Tested with Zanata version 2.2-SNAPSHOT (20130125-0034)

The "Source URL (human-readable)" and "Source URL (machine-readable)" do not agree with what actually shown in project info, which is 
"View source files" and "Source Checkout"

IMHO, it is bettern to use "View source files" and "Source Download/Checkout" in both places.

Reassigned.
Comment 3 David Mason 2013-01-29 20:56:03 EST
Made labels consistent between edit page and view page.

See: https://github.com/zanata/zanata/compare/d9f1c7910a3659bec3adb456606c7153e3b4a8df...722c0a42328b6e812405a03c17b013687c2b31cf
Comment 4 Ding-Yi Chen 2013-02-01 01:03:03 EST
VERIFIED with Zanata version 2.2-SNAPSHOT (20130201-1231)
Comment 5 Sean Flanigan 2013-11-26 22:14:33 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:16:18 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:17:59 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:24:15 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:32:39 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:34:54 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.